Package: org.codehaus.groovy.tools.groovydoc

## [Java] Class SimpleGroovyRootDoc

- org.codehaus.groovy.tools.groovydoc.SimpleGroovyRootDoc

- All Implemented Interfaces and Traits:
    GroovyRootDoc

      public class SimpleGroovyRootDoc
      extends SimpleGroovyDoc

- - ### Constructor Summary

    Constructors
    Constructor and description
    `SimpleGroovyRootDoc (String name)`

  - ### Methods Summary

    Methods
    Type Params | Return Type | Name and description
    --- | --- | ---
    `` | `GroovyClassDoc` | `classNamed(GroovyClassDoc groovyClassDoc, String name)`
    `` | `GroovyClassDoc` | `classNamedExact(String name)`
    `` | `GroovyClassDoc[]` | `classes()`
    `` | `String` | `description()`
    `` | `Map<String, GroovyClassDoc>` | `getVisibleClasses(List importedClassesAndPackages)`
    `` | `String[]` | `options()`
    `` | `GroovyPackageDoc` | `packageNamed(String packageName)`
    `` | `void` | `printError(String arg0)`
    `` | `void` | `printNotice(String arg0)`
    `` | `void` | `printWarning(String arg0)`
    `` | `void` | `put(String packageName, GroovyPackageDoc packageDoc)`
    `` | `void` | `putAllClasses(Map<String, GroovyClassDoc> classes)`
    `` | `void` | `resolve()`
    `` | `void` | `setDescription(String description)`
    `` | `GroovyClassDoc[]` | `specifiedClasses()`
    `` | `GroovyPackageDoc[]` | `specifiedPackages()`
    `` | `String` | `summary()`

  - ### Inherited Methods Summary

    Inherited Methods
    Methods inherited from class | Name
    --- | ---

    `class SimpleGroovyDoc`

    `calculateFirstSentence, commentText, compareTo, firstSentenceCommentText, getRawCommentText, getTypeDescription, getTypeSourceDescription, isAnnotationType, isAnnotationTypeElement, isClass, isConstructor, isDeprecated, isEnum, isEnumConstant, isError, isException, isField, isIncluded, isInterface, isMethod, isOrdinaryClass, isScript, isTrait, name, setCommentText, setDeprecated, setFirstSentenceCommentText, setRawCommentText, setScript, setTokenType, tags, toString, tokenType`

    `class Object` | `equals, toString, hashCode, getClass, notify, notifyAll, wait, wait, wait`

- - ### Constructor Detail

    - #### public SimpleGroovyRootDoc(String name)

  - ### Method Detail

    - #### public GroovyClassDoc classNamed(GroovyClassDoc groovyClassDoc, String name)

    - #### public GroovyClassDoc classNamedExact(String name)

    - #### public GroovyClassDoc[] classes()

    - #### public String description()

    - #### public Map<String, GroovyClassDoc> getVisibleClasses(List importedClassesAndPackages)

    - #### public String[] options()

    - #### public GroovyPackageDoc packageNamed(String packageName)

    - #### public void printError(String arg0)

    - #### public void printNotice(String arg0)

    - #### public void printWarning(String arg0)

    - #### public void put(String packageName, GroovyPackageDoc packageDoc)

    - #### public void putAllClasses(Map<String, GroovyClassDoc> classes)

    - #### public void resolve()

    - #### public void setDescription(String description)

    - #### public GroovyClassDoc[] specifiedClasses()

    - #### public GroovyPackageDoc[] specifiedPackages()

    - #### public String summary()